## org.apache.poi.hwpf.model
Class FibBase

    java.lang.Object
      org.apache.poi.hwpf.model.types.FibBaseAbstractType
          org.apache.poi.hwpf.model.FibBase

    @Internal
    public class FibBase

extends FibBaseAbstractType

Base part of the File information Block (FibBase). Holds the core part of the FIB, from the first 32 bytes.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format.

Author:
  Andrew C. Oliver; Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.types.FibBaseAbstractType
`field_1_wIdent, field_10_flags2, field_11_Chs, field_12_chsTables, field_13_fcMin, field_14_fcMac, field_2_nFib, field_3_unused, field_4_lid, field_5_pnNext, field_6_flags1, field_7_nFibBack, field_8_lKey, field_9_envr`

Constructor Summary
`FibBase()`
`FibBase(byte[] std, int offset)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

Methods inherited from class org.apache.poi.hwpf.model.types.FibBaseAbstractType

`fillFields, getChs, getChsTables, getCQuickSaves, getEnvr, getFcMac, getFcMin, getFlags1, getFlags2, getFSpare0, getLid, getLKey, getNFib, getNFibBack, getPnNext, getSize, getUnused, getWIdent, isFComplex, isFDot, isFEmptySpecial, isFEncrypted, isFExtChar, isFFarEast, isFGlsy, isFHasPic, isFLoadOverride, isFLoadOverridePage, isFMac, isFObfuscated, isFReadOnlyRecommended, isFWhichTblStm, isFWriteReservation, isReserved1, isReserved2, serialize, serialize, setChs, setChsTables, setCQuickSaves, setEnvr, setFcMac, setFcMin, setFComplex, setFDot, setFEmptySpecial, setFEncrypted, setFExtChar, setFFarEast, setFGlsy, setFHasPic, setFlags1, setFlags2, setFLoadOverride, setFLoadOverridePage, setFMac, setFObfuscated, setFReadOnlyRecommended, setFSpare0, setFWhichTblStm, setFWriteReservation, setLid, setLKey, setNFib, setNFibBack, setPnNext, setReserved1, setReserved2, setUnused, setWIdent, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FibBase

    public FibBase()

### FibBase

    public FibBase(byte[] std,
                   int offset)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.